Package be.fgov.ehealth.genericinsurability.core.v1

# Class IdType

java.lang.Object
be.fgov.ehealth.genericinsurability.core.v1.SelfRefType
be.fgov.ehealth.genericinsurability.core.v1.AbstractIdType
be.fgov.ehealth.genericinsurability.core.v1.IdType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:35+02:00", comments="JAXB RI v4.0.5") public class IdType extends AbstractIdType implements Serializable
Enities that have a unique identification have this type. This identification is always issued by an authority. Only one of the child elements is required, the others are prohibited. In other words, this is actualy a xs:-choise, but this does not always translate so well in code. Therefore we decided to make it an sequence with all optional elements.

Java class for IdType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IdType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:genericinsurability:core:v1}AbstractIdType">
           <sequence>
             <element name="Nihii" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}NihiiType" minOccurs="0"/>
             <element name="Ssin" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}ValueRefString" minOccurs="0"/>
             <element name="Cbe" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}ValueRefString" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ValueRefString`
  `getCbe()`
  Identification issued by the CBE.
  `NihiiType`
  `getNihii()`
  Identification issued by the NIHII.
  `ValueRefString`
  `getSsin()`
  Identification issued by the National Registry of Belgium.
  `void`
  `setCbe(ValueRefString value)`
  Sets the value of the cbe property.
  `void`
  `setNihii(NihiiType value)`
  Sets the value of the nihii property.
  `void`
  `setSsin(ValueRefString value)`
  Sets the value of the ssin property.

  ### Methods inherited from class be.fgov.ehealth.genericinsurability.core.v1.AbstractIdType

  `getName, setName`

  ### Methods inherited from class be.fgov.ehealth.genericinsurability.core.v1.SelfRefType

  `getId, getRef, setId, setRef`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdType

    public IdType()

- ## Method Details

  - ### getNihii

    public NihiiType getNihii()
    Identification issued by the NIHII. It uniquely specifies a care provider in his role.
    Returns:
      possible object is `NihiiType`

  - ### setNihii

    public void setNihii(NihiiType value)
    Sets the value of the nihii property.
    Parameters:
      `value` - allowed object is `NihiiType`
    See Also:
      - `getNihii()`

  - ### getSsin

    public ValueRefString getSsin()
    Identification issued by the National Registry of Belgium. It uniquely specifies a physical person.
    Returns:
      possible object is `ValueRefString`

  - ### setSsin

    public void setSsin(ValueRefString value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `ValueRefString`
    See Also:
      - `getSsin()`

  - ### getCbe

    public ValueRefString getCbe()
    Identification issued by the CBE. It uniquely specifies an enterprise.
    Returns:
      possible object is `ValueRefString`

  - ### setCbe

    public void setCbe(ValueRefString value)
    Sets the value of the cbe property.
    Parameters:
      `value` - allowed object is `ValueRefString`
    See Also:
      - `getCbe()`